## org.eclipse.emf.codegen.jet
Interface IJETNature

All Superinterfaces:
  IProjectNature

All Known Implementing Classes:
  JETNature

    public interface IJETNature

extends IProjectNature

Field Summary
`static java.lang.String` `NATURE_ID` The unique identifier for the JET Nature.

Method Summary
`IContainer` `getJavaSourceContainer()` Returns the container where the generated Java sources go.
`java.util.List<java.lang.Object>` `getTemplateContainers()` Returns the containers where the templates are located.
`java.util.List<java.lang.Object>` `getTemplateSourceContainers()` Returns the containers where the template sources are located.
`void` `setJavaSourceContainer(IContainer javaSourceContainer)` Sets the container where the generated Java sources go.
`void` `setTemplateContainers(java.util.List<java.lang.Object> templateContainers)` Sets the containers where the templates are located.
`void` `setTemplateContainers(java.util.List<java.lang.Object> templateContainers, java.util.List<java.lang.Object> templateSourceContainers)` Sets the containers where the template sources are located.

Methods inherited from interface org.eclipse.core.resources.IProjectNature
`configure, deconfigure, getProject, setProject`

Field Detail

### NATURE_ID

    static final java.lang.String NATURE_ID

  The unique identifier for the JET Nature.

  See Also:
    Constant Field Values

Method Detail

### getTemplateContainers

    java.util.List<java.lang.Object> getTemplateContainers()

  Returns the containers where the templates are located.

  Returns:
    the containers where the templates are located.

### setTemplateContainers

    void setTemplateContainers(java.util.List<java.lang.Object> templateContainers)

  Sets the containers where the templates are located.

  Parameters:
    `templateContainers` - the new locations.

### getTemplateSourceContainers

    java.util.List<java.lang.Object> getTemplateSourceContainers()

  Returns the containers where the template sources are located.

  Returns:
    the containers where the template sources are located.
  Since:
    2.1.0

### setTemplateContainers

    void setTemplateContainers(java.util.List<java.lang.Object> templateContainers,
                               java.util.List<java.lang.Object> templateSourceContainers)

  Sets the containers where the template sources are located.

  Parameters:
    `templateContainers` - the new locations.
    `templateSourceContainers` - the new source locations.
  Since:
    2.1.0

### getJavaSourceContainer

    IContainer getJavaSourceContainer()

  Returns the container where the generated Java sources go.

  Returns:
    the container where the generated Java sources go.

### setJavaSourceContainer

    void setJavaSourceContainer(IContainer javaSourceContainer)

  Sets the container where the generated Java sources go.

  Parameters:
    `javaSourceContainer` - the new location.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.